Subject: Re: randconfig build error with next-20140710, in sound/soc/rockchip/rockchip_i2s.c

From: Stephen Rothwell <[email-masked]>
Date: Fri, 11 Jul 2014 10:32:21 +1000

Hi Jianqun,

On Fri, 11 Jul 2014 08:07:20 +0800 Jianqun <[email-masked]> wrote:
>
> Is it caused by the headfile ?
> #include <linux/module.h>
> 
> Adviced by the maintainers, I tried not to include the headfile one by one, then to compile
> driver each time, I found that is success to compile it without module.h, of course

Who ever gave you that advice is wrong.  You should always (except in
very rare circumstances) include every header file that your code
references things from.  We have over 20 architectures and many, many
possible configurations in the kernel build system and the fact that a
file builds for one is not guarantee that it will build for another
combination if you depend on implicit includes.

See Rule 1 in Documentation/SubmitChecklist.

> I just compiled driver with command "ARCH=arm".

Which just proves my point.

-- 
Cheers,
Stephen Rothwell                    [email-masked]